Method : GET
Endpoint : /api/campaigns/{id}/detail
Description: The method allows you to get detailed information about the RCS campaign sent via the API.
| Parameter | Mandatory | Type | Description. |
|---|---|---|---|
| id | Yes | integer |
campaign id received in response to the request:
– POST /api/campaigns/rcs/send – POST /api/messages/rcs/send – POST /api/campaigns/rcs/send-groups |
| Parameter | Type | Description. |
|---|---|---|
| id | integer | campaign id. |
| name | string | The name of the campaign. Example: “RCS api campaign / {yyyyy-mm-dd hh:mm:ss}”, where yyyy-mm-dd hh:mm:ss is the date and time of the campaign creation. |
| sender | string | Name of the agent. |
| status | string | The current status of the campaign. Possible values: creation – the campaign has been created; spam – the campaign has not been moderated; scheduled – the campaign is scheduled; sending – the campaign has started sending messages; paused – the campaign is paused (no messages are sent); stopped – the campaign is stopped (final status); done – the campaign is complete (final status). |
| type | string | Campaign type. Possible values: sms, rcs |
| start_at | string | Campaign start date and time in the format: yyyy-mm-dd hh:mm:ss |
| real_start_at | string | Actual date and time of the campaign start in the format: yyyy- mm- dd hh:mm:ss |
| finished_at | null|string | Campaign end date in the format: yyyy-mm-dd hh:mm:ss |
| created_at | string | Date and time of campaign creation in the format: yyyy-mm-dd hh:mm:ss. |
| statistics | array | Array of Campaign Statistics Objects. |
| statistics[]delivered | integer | Number of messages in a campaign with Delivered status. |
| statistics[]scheduled | integer | The number of messages in a campaign with the Scheduled status. |
| statistics[]moderation | integer | Number of messages in a campaign with Moderation status |
| statistics[]accepted | integer | Number of messages in the campaign with the status Accepted |
| statistics[]sending | integer | Number of messages in the campaign with the Sending status |
| statistics[]sent | integer | Number of messages in a campaign with a Sent status |
| statistics[]expired | integer | Number of messages in a campaign with an Expired status |
| statistics[]failed | integer | Number of messages in a campaign with a Failed status |
| statistics[]undelivered | integer | Number of messages in a campaign with Undelivered status |
| statistics[]unknown | integer | Number of messages in the campaign with the status Unknown |
| statistics[]read | integer | Number of messages in a campaign with a Read status |
| alternative_channels | object | |
| alternative_channels[]sms | object | An object that specifies a channel for alternative message sending within a campaign. |
| alternative_channels[]sms[]st atistics | object | An object of statistics of messages sent via an alternative channel. |
| alternative_channels[]sms[]st atistics[]delivered | integer | Number of messages in a campaign with a delivered status |
| alternative_channels[]sms[]st atistics[]scheduled | integer | Number of messages in a campaign with a scheduled status |
| alternative_channels[]sms[]st atistics[]moderation | integer | Number of messages in a campaign with moderation status |
| alternative_channels[]sms[]st atistics[]accepted | integer | Number of messages in a campaign with an accepted status |
| alternative_channels[]sms[]st atistics[]sending | integer | Number of messages in a campaign with a sending status |
| alternative_channels[]sms[]st atistics[]sent | integer | Number of messages in a campaign with a sent status |
| alternative_channels[]sms[]st atistics[]expired | integer | Number of messages in a campaign with expired status |
| alternative_channels[]sms[]st atistics[]failed | integer | Number of messages in the campaign with failed status |
| alternative_channels[]sms[]st atistics[]undelivered | integer | Number of messages in a campaign with undelivered status |
| alternative_channels[]sms[]st atistics[]unknown | integer | Number of messages in the campaign with the status unknown |
| total_messages | integer | Total number of messages created as part of the campaign. |
| total_phones | integer | Number of contacts in the campaign. |
| total price | string | Total cost of the campaign. The amount is displayed with 7 decimal places. |
| currency | string | The account currency in which the campaign cost is indicated. |
If the request is successfully executed:
{
"en-US":{
"id":1,
"name":"string",
"sender":"string",
"status":"creation",
"type":"rcs",
"started_at":"2021-04-27 19:44:06",
"actual_start_at":"2021-04-27 19:44:06",
"finished_at":"2021-04-27 19:44:06",
"created_at":"2021-04-27 19:44:06",
"statistics":{
"delivered":0,
"sent":0,
"scheduled":0,
"moderation":0,
"accepted":0,
"sending":0,
"expired":0,
"failed":0,
"undelivered":0,
"unknown":0,
"read":0
},
"alternative_channels":{
"sms":{
"statistics":{
"delivered":0,
"sent":0,
"scheduled":0,
"moderation":0,
"accepted":0,
"sending":0,
"expired":0,
"failed":0,
"undelivered":0,
"unknown":0
}
}
},
"total_messages":1,
"total_phones":1,
"total_price":"0.3000000",
"currency":"UAH"
}
}